clan::D3DTarget Class Reference - ClanLib SDK
Description: clan::D3DTarget Class Reference

Static Public Member Functions | List of all members
clan::D3DTarget Class Reference
clanD3D Display

Display target for clanDisplay. More...

`#include <d3d_target.h>`

## Static Public Member Functions
static ID3D11RenderTargetView * | get_back_buffer_rtv_handle (const GraphicContext &gc)
| Returns the Direct3D render target view for the swap chain back buffer.
static ID3D11Buffer * | get_buffer_handle (const GraphicContext &gc, const ElementArrayBuffer &buffer)
| Returns the Direct3D handle used by the buffer object.
static ID3D11Buffer * | get_buffer_handle (const GraphicContext &gc, const UniformBuffer &buffer)
| Returns the Direct3D handle used by the buffer object.
static ID3D11Buffer * | get_buffer_handle (const GraphicContext &gc, const VertexArrayBuffer &buffer)
| Returns the Direct3D handle used by the buffer object.
static ID3D11DeviceContext * | get_device_context_handle (const GraphicContext &gc)
| Returns the Direct3D device context handle used by the graphic context.
static ID3D11Device * | get_device_handle (const GraphicContext &gc)
| Returns the Direct3D device handle used by the graphic context.
static ID3D11ShaderResourceView * | get_srv_handle (const GraphicContext &gc, const Texture &texture)
| Returns the Direct3D shader resource view handle used by the texture object.
static IDXGISwapChain * | get_swap_chain_handle (const GraphicContext &gc)
| Returns the Direct3D swap chain handle used by the graphic context.
static ID3D11Texture2D * | get_texture2d_handle (const GraphicContext &gc, const PixelBuffer &pixel_buffer)
| Returns the Direct3D handle used by the pixel buffer object.
static ID3D11Texture2D * | get_texture2d_handle (const GraphicContext &gc, const RenderBuffer &render_buffer)
| Returns the Direct3D handle used by the render buffer object.
static ID3D11Texture2D * | get_texture2d_handle (const GraphicContext &gc, const Texture &texture)
| Returns the Direct3D handle used by the texture object.
static bool | is_current ()
| Returns true if this display target is the current target.
static void | set_current ()
| Set this display target to be the current target.
static void | throw_if_failed (const char *text, HRESULT result)
| Throws an exception with the specified text if the passed result is an error condition.

## Detailed Description

Display target for clanDisplay.

## Member Function Documentation

## ◆ get_back_buffer_rtv_handle()

static ID3D11RenderTargetView * clan::D3DTarget::get_back_buffer_rtv_handle | ( | const GraphicContext & | gc | ) |
| static

Returns the Direct3D render target view for the swap chain back buffer.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_buffer_handle() [1/3]

static ID3D11Buffer * clan::D3DTarget::get_buffer_handle | ( | const GraphicContext & | gc,
|  | const ElementArrayBuffer & | buffer )
| static

Returns the Direct3D handle used by the buffer object.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_buffer_handle() [2/3]

static ID3D11Buffer * clan::D3DTarget::get_buffer_handle | ( | const GraphicContext & | gc,
|  | const UniformBuffer & | buffer )
| static

Returns the Direct3D handle used by the buffer object.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_buffer_handle() [3/3]

static ID3D11Buffer * clan::D3DTarget::get_buffer_handle | ( | const GraphicContext & | gc,
|  | const VertexArrayBuffer & | buffer )
| static

Returns the Direct3D handle used by the buffer object.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_device_context_handle()

static ID3D11DeviceContext * clan::D3DTarget::get_device_context_handle | ( | const GraphicContext & | gc | ) |
| static

Returns the Direct3D device context handle used by the graphic context.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_device_handle()

static ID3D11Device * clan::D3DTarget::get_device_handle | ( | const GraphicContext & | gc | ) |
| static

Returns the Direct3D device handle used by the graphic context.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_srv_handle()

static ID3D11ShaderResourceView * clan::D3DTarget::get_srv_handle | ( | const GraphicContext & | gc,
|  | const Texture & | texture )
| static

Returns the Direct3D shader resource view handle used by the texture object.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_swap_chain_handle()

static IDXGISwapChain * clan::D3DTarget::get_swap_chain_handle | ( | const GraphicContext & | gc | ) |
| static

Returns the Direct3D swap chain handle used by the graphic context.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_texture2d_handle() [1/3]

static ID3D11Texture2D * clan::D3DTarget::get_texture2d_handle | ( | const GraphicContext & | gc,
|  | const PixelBuffer & | pixel_buffer )
| static

Returns the Direct3D handle used by the pixel buffer object.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_texture2d_handle() [2/3]

static ID3D11Texture2D * clan::D3DTarget::get_texture2d_handle | ( | const GraphicContext & | gc,
|  | const RenderBuffer & | render_buffer )
| static

Returns the Direct3D handle used by the render buffer object.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ get_texture2d_handle() [3/3]

static ID3D11Texture2D * clan::D3DTarget::get_texture2d_handle | ( | const GraphicContext & | gc,
|  | const Texture & | texture )
| static

Returns the Direct3D handle used by the texture object.

The reference count on the COM object is not increased (AddRef is not called).

## ◆ is_current()

static bool clan::D3DTarget::is_current | ( |  | ) |
| static

Returns true if this display target is the current target.

This may change after a display window has been created

## ◆ set_current()

static void clan::D3DTarget::set_current | ( |  | ) |
| static

Set this display target to be the current target.

## ◆ throw_if_failed()

static void clan::D3DTarget::throw_if_failed | ( | const char * | text,
|  | HRESULT | result )
| static

Throws an exception with the specified text if the passed result is an error condition.

The documentation for this class was generated from the following file:

- d3d_target.h